package sample.activity;
import java.util.*;
import com.poscoict.glueframework.*;
import com.poscoict.glueframework.biz.activity.*;
import com.poscoict.glueframework.biz.control.*;
import com.poscoict.glueframework.context.*;
import com.poscoict.glueframework.dao.*;
import com.poscoict.glueframework.dao.vo.*;
public class DeptDelete extends GlueActivity<GlueContext> {
    public String runActivity(GlueContext ctx) {
        GlueGenericDao dao = this.getDao( this.getProperty( "dao" ) );
        Object data = ctx.get( this.getProperty( "param-key" ) );
        Object value = data;
        if ( data instanceof Object[] ){
            value = ( (Object[])data )[0];
        }
        // select EMPNO, ENAME, JOB, MGR, HIREDATE, SAL, DEPTNO 
        // from EMP 
        // where DEPTNO=?
        List<Object> paramList = new ArrayList<Object>();
        paramList.add( value );
        String selectKey = this.getProperty( "select-sql" );
        List<?> results 
            = dao.find( selectKey, new GlueParameter<List<Object>>( paramList ) );

        if ( results != null && results.size() > 0 ){
            throw new GlueException( "부서원이 존재하므로 "  +
                             " 부서정보를 삭제할 수 없습니다." );
            // 또는 cascading 삭제로직 수행 가능
            // delete from emp where depno=?
        }
        System.out.println( "  부서를 삭제합니다. " );
        // delete from DEPT
        // where DEPTNO=:deptno
        Map<String, Object> paramMap
            = new HashMap<String, Object>();
        paramMap.put( "deptno", value );
        String deleteKey = this.getProperty( "delete-sql" );
        int cnt 
            = dao.delete( deleteKey, new GlueParameter<Map<String,Object>>( paramMap ) );
        ctx.put( "cnt", cnt );
        System.out.println( " delete count : " + cnt );

        return GlueBizControlConstants.SUCCESS;
    }
}
